# App
APP_ENV=development
APP_PORT=3000

# Documentation
DOCUMENTATION_TITLE=MyPiroska API
DOCUMENTATION_DESCRIPTION=MyPiroska Api Docs
DOCUMENTATION_VERSION=v1
DOCUMENTATION_URL=docs
DOCUMENTATION_SHOW=true

# Database
DATABASE_TYPE=postgres
DATABASE_HOST=localhost
DATABASE_PORT=5432
DATABASE_NAME=dev
DATABASE_USER=dev
DATABASE_PASSWORD=dev

# Cache
CACHE_HOST=localhost
CACHE_PORT=6379
CACHE_PASSWORD=dev

# Access Token
JWT_ACCESS_TOKEN_SECRET=dev
JWT_ACCESS_TOKEN_EXPIRES_IN_SECONDS=60
SALT_OR_ROUNDS=10

# Refresh Token
JWT_REFRESH_TOKEN_SECRET=dev
JWT_REFRESH_TOKEN_EXPIRES_IN_SECONDS=300

# Seed
TYPEORM_SEEDING_SEEDS=src/database/seeds/**/*{.ts,.js}
TYPEORM_SEEDING_FACTORIES=src/database/factories/**/*{.ts,.js}
TYPEORM_SEEDING_ENTITIES=src/**/*.entity.{ts,js}